Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.validate
Class ImmutableKey

    java.lang.Object
      org.modeshape.jcr.query.validate.ImmutableKey

All Implemented Interfaces:
  Schemata.Key

    public class ImmutableKey

extends Object
implements Schemata.Key

Constructor Summary
`protected` | `ImmutableKey(Iterable<Schemata.Column> columns)`
`protected` | `ImmutableKey(Schemata.Column... columns)`

Method Summary
`Set<Schemata.Column>` | `getColumns()` Get the columns that make up this key.
`boolean` | `hasColumns(Iterable<Schemata.Column> columns)` Determine whether this key contains exactly those columns listed.
`boolean` | `hasColumns(Schemata.Column... columns)` Determine whether this key contains exactly those columns listed.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImmutableKey

    protected ImmutableKey(Iterable<Schemata.Column> columns)

### ImmutableKey

    protected ImmutableKey(Schemata.Column... columns)

Method Detail

### getColumns

    public Set<Schemata.Column> getColumns()

  Description copied from interface: `Schemata.Key`
  Get the columns that make up this key.

  Specified by:
    `getColumns` in interface `Schemata.Key`
  Returns:
    the key's columns; immutable and never null

### hasColumns

    public boolean hasColumns(Schemata.Column... columns)

  Description copied from interface: `Schemata.Key`
  Determine whether this key contains exactly those columns listed.

  Specified by:
    `hasColumns` in interface `Schemata.Key`
  Parameters:
    `columns` - the columns for the key
  Returns:
    true if this key contains exactly the supplied columns, or false otherwise

### hasColumns

    public boolean hasColumns(Iterable<Schemata.Column> columns)

  Description copied from interface: `Schemata.Key`
  Determine whether this key contains exactly those columns listed.

  Specified by:
    `hasColumns` in interface `Schemata.Key`
  Parameters:
    `columns` - the columns for the key
  Returns:
    true if this key contains exactly the supplied columns, or false otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.